<template>
 <!-- <h1 v-for="errorMessage in errorMessages" :key="errorMessage">
 <h2>{{ errorMessage }}</h2>
 </h1> -->
 <v-list>
   <v-list-item
   v-for="errorMessage in errorMessages"
   :key="errorMessage"
   :title="errorMessage"
    background-color="secondary"
   rounded="xl"
   
   ></v-list-item>
</v-list>
</template>
<script>

export default {
   props:{
     validationErrors:{
        type:Object,
        required:true

    }
   },
   computed:{
     errorMessages(){
        return  Object.keys(this.validationErrors).map((name) =>{
            const msg=this.validationErrors[name].join(', ')
            return `${name} ${msg}`
        })
     }
   }
}
</script>